import React, { Component } from 'react';
import hocImmutable, { imShallowEqual } from '../../utils/HOC/hocImmutable';
import { Form } from 'antd';

export default class extends Component {
    constructor(props) {
        super(props);
    }
    static defaultProps = {
        ____$formItem$: true
    }
    shouldComponentUpdate(nextProps, nextState) {
        return !(imShallowEqual(this.props, nextProps) && imShallowEqual(this.state, nextState));
    }
    render() {
        return <Form.Item {...this.props} />
    }
}